<!DOCTYPE html>
<html lang="es">
<head>
    <link rel="icon" href="images/favicon.ico" type="image/x-icon">
    <link rel="shortcut icon" href="images/favicon.ico" type="image/x-icon">
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login</title>
    <style>
        body {
            font-family: 'Arial', sans-serif;
            display: flex;
            align-items: center;
            justify-content: center;
            height: 100vh;
            margin: 0;
            background-color: #ecf0f5; /* Fondo azul clarito */
        }

        form {
            text-align: center;
            background-color: #fff; /* Fondo blanco del formulario */
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); /* Sombra suave */
        }

        h2 {
            color: #3498db; /* Color azul */
        }

        label {
            display: block;
            margin: 10px 0;
            color: #333;
        }

        input {
            width: 100%;
            padding: 8px;
            margin-bottom: 15px;
            box-sizing: border-box;
            border: 1px solid #ccc;
            border-radius: 4px;
        }

        button {
            background-color: #3498db; /* Color de fondo del botón */
            color: #fff; /* Color del texto del botón */
            padding: 10px 15px;
            border: none;
            border-radius: 4px;
            cursor: pointer;
        }

        button:hover {
            background-color: #2980b9; /* Cambio de color al pasar el ratón */
        }
    </style>
</head>
<body>

<form id="loginForm">
    <img src="images/logo.svg" alt="Bachilleratos Mind Logo">
    <h2>Login</h2>
    <label for="username">Usuario:</label>
    <input type="text" id="username" name="username" required oninput="checkCapsLock(event)">
    <br>
    <label for="password">Contraseña:</label>
    <input type="password" id="password" name="password" required>
    <br>
    <button type="button" onclick="checkLogin()">Iniciar sesión</button>
    <div id="capsLockWarning"></div>
</form>

<script>
    let miInput = document.getElementById('username');
    miInput.addEventListener('keyup', function (event) {
  if (event.getModifierState('CapsLock')) {
    alert("Bloq Mayús esta activado");
  }
    });

    function checkLogin() {
        var username = document.getElementById('username').value;
        var password = document.getElementById('password').value;

        if (username === 'laura' && password === '1234') {
            window.location.href = 'index.html';
        } else {
            alert('Usuario o contraseña incorrectos. Inténtalo de nuevo.');

            // Limpiar el campo de contraseña
            document.getElementById('password').value = '';
        }
    }

    function checkCapsLock(event) {
        var capsLockWarning = document.getElementById('capsLockWarning');
        var isCapsLockOn = event.getModifierState('CapsLock');

        if (isCapsLockOn) {
            capsLockWarning.textContent = 'Las mayúsculas están activadas.';
        } else {
            capsLockWarning.textContent = '';
        }
    }
</script>

</body>
</html>